Skip to main content
GET
/
campaigns
/
{id}
Get campaign by ID
curl --request GET \
  --url https://{subdomain}.nudj.cx/api/v2/admin/campaigns/{id} \
  --header 'x-api-token: <api-key>'
import requests

url = "https://{subdomain}.nudj.cx/api/v2/admin/campaigns/{id}"

headers = {"x-api-token": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-token': '<api-key>'}};

fetch('https://{subdomain}.nudj.cx/api/v2/admin/campaigns/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "organisationId": "<string>",
  "name": "<string>",
  "startDate": "<string>",
  "endDate": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "createdBy": "<string>",
  "updatedBy": "<string>"
}
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}
{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}

Authorizations

x-api-token
string
header
required

Path Parameters

id
string
required
Minimum string length: 1

Response

Successful response

A campaign

id
string
required

The id of the campaign

Pattern: ^[0-9a-fA-F]{24}$
organisationId
string
required

The id of the organisation the campaign belongs to

Pattern: ^[0-9a-fA-F]{24}$
name
string
required

The name of the campaign

startDate
string
required

The start date of the campaign

endDate
string
required

The end date of the campaign

status
enum<string>
required

The status of the campaign

Available options:
archived,
draft,
expired,
live,
scheduled
createdAt
string
required

The date the campaign was created

updatedAt
string
required

The date the campaign was last updated

createdBy
string
required

The user who created this campaign

Pattern: ^[0-9a-fA-F]{24}$
updatedBy
string
required

The user who last updated this campaign

Pattern: ^[0-9a-fA-F]{24}$